Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.lang.management
Class AvailableProcessorsNotificationInfo

    java.lang.Object
      com.ibm.lang.management.AvailableProcessorsNotificationInfo

    public class AvailableProcessorsNotificationInfo

extends java.lang.Object

Encapsulates the details of a DLPAR notification emitted by a `OperatingSystemMXBean` when the number of available processors changes. Specifically, this notifiation indicates that the value returned by `OperatingSystemMXBean.getAvailableProcessors()` has changed.

Since:
  1.5

Field Summary
`static java.lang.String` | `AVAILABLE_PROCESSORS_CHANGE`

Constructor Summary
`AvailableProcessorsNotificationInfo(int newAvailableProcessors)` Constructs a new instance of this object.

Method Summary
`static AvailableProcessorsNotificationInfo` | `from(javax.management.openmbean.CompositeData cd)` Receives a `CompositeData`representing a `AvailableProcessorsNotificationInfo` object and attempts to return the root `AvailableProcessorsNotificationInfo` instance.
`int` | `getNewAvailableProcessors()` Returns the new number of available processors after the change that initiated this notification.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AVAILABLE_PROCESSORS_CHANGE

    public static final java.lang.String AVAILABLE_PROCESSORS_CHANGE

See Also:
  Constant Field Values

Constructor Detail

### AvailableProcessorsNotificationInfo

    public AvailableProcessorsNotificationInfo(int newAvailableProcessors)

  Constructs a new instance of this object.

  Parameters:
    `newAvailableProcessors` - the new number of processors available

Method Detail

### getNewAvailableProcessors

    public int getNewAvailableProcessors()

  Returns the new number of available processors after the change that initiated this notification.

  Returns:
    the number of available processors

### from

    public static AvailableProcessorsNotificationInfo from(javax.management.openmbean.CompositeData cd)

  Receives a `CompositeData`representing a `AvailableProcessorsNotificationInfo` object and attempts to return the root `AvailableProcessorsNotificationInfo` instance.

  Parameters:
    `cd` - a `CompositeDate` that represents a `AvailableProcessorsNotificationInfo`.
  Returns:
    if `cd` is non- `null`, returns a new instance of `AvailableProcessorsNotificationInfo`. If `cd` is `null`, returns `null`.
  Throws:
    `java.lang.IllegalArgumentException` - if argument `cd` does not correspond to a `AvailableProcessorsNotificationInfo` with the following attribute:
    - `newAvailableProcessors`( `java.lang.Integer`)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD